# I3DExWireFrame Struct Reference
[External Interfaces]

Inheritance diagram for I3DExWireFrame:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | TrackWireFrame (I3DShWireFrame *wireFrame, int16 proj, I3DShTreeElement *tree, int16 handle, const TRACKINFO &startinfo, const TRACKINFO &previnfo, const TRACKINFO &nextinfo, I3DShCamera *camera)=0
virtual MCCOMErr MCCOMAPI | DataToWireFrame (I3DShWireFrame *wireFrame, int16 proj, I3DShTreeElement *tree, I3DShCamera *camera)=0
virtual MCCOMErr MCCOMAPI | WireFrameToData (I3DShWireFrame *wireFrame, int16 proj, I3DShTreeElement *tree, I3DShCamera *camera)=0
virtual MCCOMErr MCCOMAPI | GetWireFrameBBox (TBBox3D *outBBox, int16 proj, I3DShTreeElement *tree)=0
virtual void MCCOMAPI | ShowWFTools (boolean show)=0
virtual boolean MCCOMAPI | HandlesTool (int16 inTool)=0
virtual boolean MCCOMAPI | IsViewDependent () const =0
virtual real32 MCCOMAPI | GetScalingFactor () const =0
virtual void MCCOMAPI | SetScalingFactor (real32 inValue)=0

## Detailed Description

Deprecated:
  : This interface has been depreacted. DO NOT create new code with it, use I3DExWireFrameSet instead and update the old code whenever you can

## Member Function Documentation

virtual MCCOMErr MCCOMAPI I3DExWireFrame::DataToWireFrame | ( | I3DShWireFrame * | wireFrame,
|  | int16 | proj,
|  | I3DShTreeElement * | tree,
|  | I3DShCamera * | camera |
| ) |  |  | `[pure virtual]`

Implemented in TBasicWireframe.

virtual real32 MCCOMAPI I3DExWireFrame::GetScalingFactor | ( |  | ) | const`[pure virtual]`

Implemented in TBasicWireframe.

virtual MCCOMErr MCCOMAPI I3DExWireFrame::GetWireFrameBBox | ( | TBBox3D * | outBBox,
|  | int16 | proj,
|  | I3DShTreeElement * | tree |
| ) |  |  | `[pure virtual]`

Implemented in TBasicWireframe.

virtual boolean MCCOMAPI I3DExWireFrame::HandlesTool | ( | int16 | inTool | ) | `[pure virtual]`

Implemented in TBasicWireframe.

virtual boolean MCCOMAPI I3DExWireFrame::IsViewDependent | ( |  | ) | const`[pure virtual]`

Implemented in TBasicWireframe.

virtual void MCCOMAPI I3DExWireFrame::SetScalingFactor | ( | real32 | inValue | ) | `[pure virtual]`

Implemented in TBasicWireframe.

virtual void MCCOMAPI I3DExWireFrame::ShowWFTools | ( | boolean | show | ) | `[pure virtual]`

Implemented in TBasicWireframe.

virtual MCCOMErr MCCOMAPI I3DExWireFrame::TrackWireFrame | ( | I3DShWireFrame * | wireFrame,
|  | int16 | proj,
|  | I3DShTreeElement * | tree,
|  | int16 | handle,
|  | const TRACKINFO & | startinfo,
|  | const TRACKINFO & | previnfo,
|  | const TRACKINFO & | nextinfo,
|  | I3DShCamera * | camera |
| ) |  |  | `[pure virtual]`

Implemented in TBasicWireframe.

virtual MCCOMErr MCCOMAPI I3DExWireFrame::WireFrameToData | ( | I3DShWireFrame * | wireFrame,
|  | int16 | proj,
|  | I3DShTreeElement * | tree,
|  | I3DShCamera * | camera |
| ) |  |  | `[pure virtual]`

Implemented in TBasicWireframe.

The documentation for this struct was generated from the following file:

- I3dWireFrame.h